import { ComponentInterface, EventEmitter } from '../../../../stencil-public-runtime';
export declare class SSaqhanHeaderApp implements ComponentInterface {
    /**
     * массив меню для вывода
     */
    menu: SSaqhanHedearMenuItem[];
    /**
     * ссылка на изображение логотипа
     */
    logoUrl: string;
    /**
     * текст вывода в кнопке подписаться
     */
    subscribeText: string;
    /**
     * клик по конкретному меню
     */
    clickOnMenu: EventEmitter<SSaqhanHedearMenuItem>;
    /**
     * клик по кнопке подписаться
     */
    clickOnSubscribeButton: EventEmitter;
    /**
     * клик по лого
     */
    clickToLogo: EventEmitter;
    render(): any;
}
export interface SSaqhanHedearMenuItem {
    id: string;
    name: string;
}
